////////////////////////////////////////////////////////////////////////////////
// File    : Thread.h
// Content : functions dealing with threads
// History : 07-Jan-2004 - [rb] creation
////////////////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/// \file Thread.h
/// Functions dealing with threads.


#if !defined(HSM_THREAD_H)
#define HSM_THREAD_H


namespace hsm {

	namespace thread {
		
/* functions ******************************************************************/

		/// sleeps the calling thread
		/// \param ms the time to sleep in millisecond
		void sleep(unsigned int ms);

	} // namespace thread

} // namespace hsm


#endif // !defined(HSM_THREAD_H)