################################################################################
# File    : target.mk
# Content : makefile redirection
#           original idea from Paul D. Smith, see:
#				[http://make.paulandlesley.org/multi-arch.html]
#           [http://www.google.com/search?q=multi-architecture+builds+GNU+make&btnI]
# History : 22-Nov-2001 - [rb] creation
################################################################################

#   Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


.SUFFIXES:

.PHONY: $(OBJDIR)
$(OBJDIR):
	+@[ -d $@ ] || mkdir -p $@
ifeq ($(DONT_DISTRIBUTE),)
	+@$(MAKE) $(DISTRIBUTED) --no-print-directory -C $@ -f $(CURDIR)/makefile SRCDIR=$(CURDIR) $(MAKECMDGOALS)
else
	+@$(MAKE) --no-print-directory -C $@ -f $(CURDIR)/makefile SRCDIR=$(CURDIR) $(MAKECMDGOALS)
endif

makefile : ;
%.mk :: ;

% :: $(OBJDIR) ;
